Results 1 to 2 of 2

Thread: wine and dotnet20

  1. #1

    Default wine and dotnet20

    suse 12.1 and tumbleweed, kde 4.8.2, with this wine
    Repository: openSUSE BuildService - Wine CVS Builds
    Name: wine
    Version: 1.5.2-152.1
    Arch: x86_64
    Vendor: obs://build.opensuse.org/Emulators
    Installed: Yes
    Status: up-to-date

    I would like to install microsoft office in my wine, readind around it seems I have to install dotnet20 by winetricks, I tryed but winetricks shows me a windows with "this wizard will guide through the installation process", I click on NEXT, pop up another window with "this product is not supported on a 64-bit operating system, setup will now exit, I click on EXIT" and gives me this error:
    Code:
    pla@linux-2fe4:~> winetricks dotnet20
    Executing w_do_call dotnet20
    Executing load_dotnet20
    Executing w_do_call fontfix
    Executing load_fontfix
    Setting Windows version to win2k
    Executing winetricks_early_wine regedit C:\windows\Temp\_dotnet20\set-winver.reg
    Executing mkdir -p /home/pla/.cache/winetricks/dotnet20
    Executing unzip -o -q -d /home/pla/.wine/dosdevices/c:/windows/syswow64 l_intl.zip
    Executing mkdir -p /home/pla/.cache/winetricks/dotnet20
    Executing wine dotnetfx.exe
    fixme:advapi:DecryptFileA "C:\\users\\pla\\Temp\\IXP000.TMP\\" 00000000
    p11-kit: couldn't load module: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory
    err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
    fixme:advapi:LsaOpenPolicy ((null),0x33f31c,0x00000001,0x33f334) stub
    fixme:advapi:LsaClose (0xcafe) stub
    ------------------------------------------------------
    Note: command 'wine dotnetfx.exe' returned status 26.  Aborting.
    ------------------------------------------------------
    pla@linux-2fe4:~>
    My wineprefix should be 32 bit, How can I install this dotnet20??

  2. #2

    Default Re: wine and dotnet20

    Quote Originally Posted by pier_andreit View Post
    suse 12.1 and tumbleweed, kde 4.8.2, with this wine
    Repository: openSUSE BuildService - Wine CVS Builds
    Name: wine
    Version: 1.5.2-152.1
    Arch: x86_64
    Vendor: obs://build.opensuse.org/Emulators
    Installed: Yes
    Status: up-to-date

    I would like to install microsoft office in my wine, readind around it seems I have to install dotnet20 by winetricks, I tryed but winetricks shows me a windows with "this wizard will guide through the installation process", I click on NEXT, pop up another window with "this product is not supported on a 64-bit operating system, setup will now exit, I click on EXIT" and gives me this error:
    Code:
    pla@linux-2fe4:~> winetricks dotnet20
    Executing w_do_call dotnet20
    Executing load_dotnet20
    Executing w_do_call fontfix
    Executing load_fontfix
    Setting Windows version to win2k
    Executing winetricks_early_wine regedit C:\windows\Temp\_dotnet20\set-winver.reg
    Executing mkdir -p /home/pla/.cache/winetricks/dotnet20
    Executing unzip -o -q -d /home/pla/.wine/dosdevices/c:/windows/syswow64 l_intl.zip
    Executing mkdir -p /home/pla/.cache/winetricks/dotnet20
    Executing wine dotnetfx.exe
    fixme:advapi:DecryptFileA "C:\\users\\pla\\Temp\\IXP000.TMP\\" 00000000
    p11-kit: couldn't load module: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory
    err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
    fixme:advapi:LsaOpenPolicy ((null),0x33f31c,0x00000001,0x33f334) stub
    fixme:advapi:LsaClose (0xcafe) stub
    ------------------------------------------------------
    Note: command 'wine dotnetfx.exe' returned status 26.  Aborting.
    ------------------------------------------------------
    pla@linux-2fe4:~>
    My wineprefix should be 32 bit, How can I install this dotnet20??
    I don't know where you read that you needed .NET 2.0 to install Office, but you don't. Office 2010 Professional Plus (and AFAIK, only that edition) needs a machine.config file copied from Mono, but other than that, it should install without any tweaks. You do, however, need a 32 bit wineprefix for Office; use WINEARCH=win32 to create one. And looking at your console output, you also need to install winbind.

    There's a howto for installing Office 2010 here: WineHQ - Microsoft Office (installer only) 2010 (32 bit)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •